#	jelnet
#	Copyright (C) 2006 Michal Vaner (michal.vaner@kdemail.net)
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	he Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

from globals import deb
import globals
import thread
import socket
import sys

def sendPart():
	deb( "Starting send part" )
	data = sys.stdin.read( 1 )
	while data != "":
		globals.sendData( data )
		data = sys.stdin.read( 1 )
	globals.sendData( "</stream:stream>" )
	sys.stdout.write( "\n" )
	import time
	time.sleep( 0.5 )
	globals.socket.shutdown( socket.SHUT_WR )
	time.sleep( 5 )
	globals.socket.close()
	sys.exit( 0 )

def recvPart():
	deb( "Starting receive part" )
	try:
		data = globals.ssl.read()
		while data != "":
			if globals.lineSplits:
				for c in data:
					sys.stdout.write( c )
					if c == ">":
						sys.stdout.write( "\n" )
			else:
				sys.stdout.write( data )
			sys.stdout.flush()
			data = globals.ssl.read()
	except socket.sslerror:
		pass
	globals.socket.close()

def telnet():
	deb( "Starting telnet" )
	thread.start_new_thread( sendPart, () )
	recvPart()
